
QGIS Application - Bug report #17679

Length tools doesn't honor Z

2017-12-12 10:11 AM - Loïc BARTOLETTI

Status: Open

Priority: Normal

Assignee:

Category: Geometry

Affected QGIS version:3.5(master) Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 25576

Description

The length is always returned as a 2D length even if you have a layer with Z coordinate or snap on 3d points.

Example: LINESTRING

2D length: 59.91

3D length: 60.30

Try with:

Field calculator

Identify results

Measure tool

History

#1 - 2019-01-21 12:34 AM - Jürgen Fischer

- Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#2 - 2019-01-21 10:14 AM - Loïc BARTOLETTI

- Affected QGIS version changed from 2.18.14 to 3.5(master)

- Status changed from Feedback to Open

2025-05-18 1/1


